Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- y
- z

### - i -

- i : Lucene::OpenBitSetIterator , Lucene::PorterStemmer
- idf : Lucene::SpanWeight
- idfExp : Lucene::SpanWeight
- ids : Lucene::CompoundFileWriter
- ignoreCase : Lucene::CharArraySet
- ignoringOffsets : Lucene::TermVectorMapper
- ignoringPositions : Lucene::TermVectorMapper
- image : Lucene::QueryParserToken
- in : Lucene::FilterIndexReader , Lucene::FilterTermDocs , Lucene::FilterTermEnum
- include : Lucene::SpanNotQuery
- includeLower : Lucene::FieldCacheRangeFilter , Lucene::TermRangeQuery , Lucene::TermRangeTermEnum
- includeSpanScore : Lucene::PayloadTermQuery
- includeUpper : Lucene::FieldCacheRangeFilter , Lucene::TermRangeQuery , Lucene::TermRangeTermEnum
- incRefReaders : Lucene::ParallelReader
- indexArray : Lucene::OpenBitSetIterator
- indexCommit : Lucene::IndexWriter
- indexInfos : Lucene::TermInfosReader
- indexingChain : Lucene::DocumentsWriter , Lucene::IndexWriter
- indexInterval : Lucene::SegmentTermEnum , Lucene::TermInfosWriter
- indexPointer : Lucene::SegmentTermEnum
- indexPointers : Lucene::TermInfosReader
- indexStream : Lucene::FieldsReader , Lucene::FieldsWriter
- indexTerms : Lucene::TermInfosReader
- info : Lucene::OneMerge
- infoStream : Lucene::CheckIndex , Lucene::DocState , Lucene::DocumentsWriter , Lucene::FieldCacheImpl , Lucene::IndexFileDeleter , Lucene::IndexWriter
- initDone : Lucene::RefCount
- initIterator : Lucene::SinkTokenStream
- innerIter : Lucene::FilteredDocIdSetIterator
- innerSet : Lucene::FilteredDocIdSet
- inOrder : Lucene::SpanNearQuery
- input : Lucene::CharFilter , Lucene::CharReader , Lucene::FastCharStream , Lucene::SegmentTermEnum , Lucene::TokenFilter , Lucene::Tokenizer
- input_stream : Lucene::QueryParserTokenManager
- inputIsBuffered : Lucene::MultiLevelSkipListReader
- inSameDoc : Lucene::NearSpansOrdered
- INT : Lucene::SortField
- INT_BLOCK_MASK : Lucene::DocumentsWriter
- INT_BLOCK_SHIFT : Lucene::DocumentsWriter
- INT_BLOCK_SIZE : Lucene::DocumentsWriter
- INT_NUM_BYTE : Lucene::DocumentsWriter
- intOffset : Lucene::IntBlockPool
- intPool : Lucene::TermsHashPerField , Lucene::TermsHashPerThread
- intStart : Lucene::RawPostingList
- intUpto : Lucene::IntBlockPool
- intUptos : Lucene::TermsHashPerField
- intUptoStart : Lucene::TermsHashPerField
- IO_BUFFER_SIZE : Lucene::CharTokenizer
- io_service : Lucene::ThreadPool
- ioBuffer : Lucene::CharTokenizer
- IS_INDEXED : Lucene::FieldInfos
- isCompoundFile : Lucene::SegmentInfo
- isCompressed : Lucene::LazyField
- isExternal : Lucene::OneMerge
- isIdle : Lucene::DocumentsWriterThreadState
- isIndex : Lucene::SegmentTermEnum , Lucene::TermInfosWriter
- isIndexed : Lucene::FieldInfo
- isOpen : Lucene::Directory
- isOriginal : Lucene::FieldsReader
- it : Lucene::SinkTokenStream
- iterator : Lucene::CachingTokenFilter

clucene.sourceforge.net